## pillow-python2 6.2.1

=== Makefile ===
# https://www.gnu.org/software/make/manual/html_node/Phony-Targets.html
.PHONY: clean coverage doc docserve help inplace install install-req release-test sdist test upload upload-test
.DEFAULT_GOAL := release-test

clean:
	python setup.py clean
	rm src/PIL/*.so || true
	rm -r build || true
	find . -name __pycache__ | xargs rm -r || true

BRANCHES=`git branch -a | grep -v HEAD | grep -v master | grep remote`
co:
	-for i in $(BRANCHES) ; do \
        git checkout -t $$i ; \
    done

coverage:
	python selftest.py
	python setup.py test
	rm -r htmlcov || true
	coverage report

doc:
	$(MAKE) -C docs html

doccheck:
	$(MAKE) -C docs html
# Don't make our tests rely on the links in the docs being up every single build.
# We don't control them.  But do check, and update them to the target of their redirects.
	$(MAKE) -C docs linkcheck || true

docserve:
	cd docs/_build/html && python -mSimpleHTTPServer 2> /dev/null&

help:
	@echo "Welcome to Pillow development. Please use \`make <target>\` where <target> is one of"
	@echo "  clean              remove build products"
	@echo "  coverage           run coverage test (in progress)"
	@echo "  doc                make html docs"
	@echo "  docserve           run an http server on the docs directory"
	@echo "  html               to make standalone HTML files"
	@echo "  inplace            make inplace extension"
	@echo "  install            make and install"
	@echo "  install-coverage   make and install with C coverage"
	@echo "  install-req        install documentation and test dependencies"
	@echo "  install-venv       install in virtualenv"
	@echo "  release-test       run code and package tests before release"
	@echo "  test               run tests on installed pillow"
	@echo "  upload             build and upload sdists to PyPI"
	@echo "  upload-test        build and upload sdists to test.pythonpackages.com"

inplace: clean
	python setup.py develop build_ext --inplace

install:
	python setup.py install
	python selftest.py

install-coverage:
	CFLAGS="-coverage" python setup.py build_ext install
	python selftest.py

debug:
# make a debug version if we don't have a -dbg python. Leaves in symbols
# for our stuff, kills optimization, and redirects to dev null so we
# see any build failures.
	make clean > /dev/null
	CFLAGS='-g -O0' python setup.py build_ext install > /dev/null

install-req:
	pip install -r requirements.txt

install-venv:
	virtualenv .
	bin/pip install -r requirements.txt

release-test:
	$(MAKE) install-req
	python setup.py develop
	python selftest.py
	python -m pytest Tests
	python setup.py install
	python -m pytest -qq
	check-manifest
	pyroma .
	viewdoc

sdist:
	python setup.py sdist --format=gztar

test:
	pytest -qq

# https://docs.python.org/3/distutils/packageindex.html#the-pypirc-file
upload-test:
#       [test]
#       username:
#       password:
#       repository = http://test.pythonpackages.com
	python setup.py sdist --format=gztar upload -r test

upload:
	python setup.py sdist --format=gztar upload

readme:
	viewdoc

=== debian/changelog ===
pillow-python2 (6.2.1-3) unstable; urgency=medium

  * Rename the source to pillow-python2.
  * Only build Python2 packages.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 13:41:02 +0100

pillow (6.2.1-2) unstable; urgency=medium

  * Call python2 in the autopkg python2 tests.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Nov 2019 08:41:21 +0100

pillow (6.2.1-1) unstable; urgency=medium

  * New upstream version, "last Pillow release to support Python 2.7".
  * Replaces python-dbg debpendencies with python2-dbg.
  * Remove Python2 suggests.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 16:49:09 +0200

pillow (6.2.0-1) unstable; urgency=medium

  * New upstream version, last version supporting Python2.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Oct 2019 15:47:42 +0200

pillow (6.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Jul 2019 14:36:49 +0200

pillow (6.0.0-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Apr 2019 02:43:30 +0200

pillow (5.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Enable imagequant support.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jan 2019 11:05:56 +0100

pillow (5.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 12:16:31 +0200

pillow (5.2.0-2) unstable; urgency=medium

  * Apply proposed patch for issue #3227. Closes: #887752.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Jul 2018 14:57:58 +0200

pillow (5.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jul 2018 14:50:06 +0200

pillow (5.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Add recommendations for olefile.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Apr 2018 15:43:37 +0200

pillow (5.0.0-1) unstable; urgency=medium

  * New upstream version.
    - Closing old python-imaging issues. Closes: #510877, #708449, #806973.
    - Example scripts not installed anymore. Closes: #513536, #554906.
  * Stop building the python-imaging package.
  * Build-depend on libraqm-dev.
  * python-pil-doc: Stop suggesting python-pil-doc-html. Closes: #814567.

 -- Matthias Klose <doko@debian.org>  Sat, 06 Jan 2018 00:24:59 +0100

pillow (4.3.0-2) unstable; urgency=medium

  * Install the ImagingUtils.h header file. Closes: #879788.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Oct 2017 08:53:42 +0200

pillow (4.3.0-1) unstable; urgency=medium

  * New upstream version.
  * python-pil: Stop shipping the Python2 based script files.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Oct 2017 11:43:20 +0200

pillow (4.2.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 03 Aug 2017 18:56:22 -0400

pillow (4.1.1-3) unstable; urgency=medium

  * Restore the python-imaging package for the upload to unstable.

 -- Matthias Klose <doko@debian.org>  Sat, 01 Jul 2017 12:08:54 +0200

pillow (4.1.1-2) experimental; urgency=medium

  * Re-add olefile build dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:24:32 -0700

pillow (4.1.1-1) experimental; urgency=medium

  * Pillow 4.1.1 release.
  * Build with external OleFileIO module.
  * Stop building the python-imaging package.
    Obsolete bug reports, closes: #557251, #711343, #773307, #815533, #858226.

 -- Matthias Klose <doko@debian.org>  Fri, 12 May 2017 12:05:48 -0700

pillow (4.0.0-4) unstable; urgency=medium

  * Build again with internal OleFileIO module.

 -- Matthias Klose <doko@debian.org>  Tue, 24 Jan 2017 16:52:07 +0100

pillow (4.0.0-3) unstable; urgency=medium

  * Re-add build dependencies on python*-olefile.

 -- Matthias Klose <doko@debian.org>  Tue, 10 Jan 2017 23:44:36 +0100

pillow (4.0.0-2) unstable; urgency=medium

  * Add imagingtk-int-overflow.patch. Fix integer overflow on 32 bit
    architectures (Markus Koschany). Closes: #847812.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 23:50:08 +0100

pillow (4.0.0-1) unstable; urgency=medium

  * Pillow 4.0.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Jan 2017 19:47:03 +0100

pillow (3.4.2-1) unstable; urgency=medium

  * Pillow 3.4.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 15:48:03 +0100

pillow (3.3.1-1) unstable; urgency=medium

  * Pillow 3.3.1 release.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 16:32:48 +0200

pillow (3.3.0-1) unstable; urgency=medium

  * Pillow 3.3.0 release.

 -- Matthias Klose <doko@debian.org>  Thu, 11 Aug 2016 10:18:19 +0200

pillow (3.2.0-2) unstable; urgency=medium

  * Don't run test needing the removed icc profiles.

 -- Matthias Klose <doko@debian.org>  Thu, 05 May 2016 17:42:07 +0200

pillow (3.2.0-1) unstable; urgency=medium

  * Pillow 3.2.0 release.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Apr 2016 18:01:45 +0200

pillow (3.1.1-1) unstable; urgency=medium

  * Pillow 3.1.1 release.
    - CVE-2016-0740: Fix buffer overflow in TiffDecode.c. Closes: #813905.
    - CVE-2016-0775: Fix buffer overflow in FliDecode.c. Closes: #813909.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Feb 2016 10:40:44 +0100

pillow (3.1.0-1) unstable; urgency=medium

  * Pillow 3.1.0 release.
  * Breaks rapid-photo-downloader (<< 0.4.11). Closes: #806976.
  * Breaks tilestache (<< 1.49.8-3). Closes: #808238.
  * Install upstream changelog. Closes: #805694.

 -- Matthias Klose <doko@debian.org>  Tue, 19 Jan 2016 17:49:58 +0100

pillow (3.0.0-1) unstable; urgency=medium

  * Pillow 3.0.0 release.

 -- Matthias Klose <doko@debian.org>  Mon, 30 Nov 2015 08:35:40 +0100

pillow (2.9.0-1) unstable; urgency=medium

  * Pillow 2.9.0 release.
  * d/rules: Don't add $DEB_HOST_MULTIARCH to SOABI for Python 3.5 since
    it's already included there. Closes: #790085.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Aug 2015 02:59:31 +0200



=== debian/control ===
Source: pillow-python2
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 9), tk-dev, dpkg-dev (>= 1.16.1~),
  dh-python,
  python-all-dev, python-all-dbg, python-setuptools,
  python-tk, python-tk-dbg,
  python-pytest,
  python-olefile,
  libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
  libtiff5-dev | libtiff-dev, libwebp-dev, libraqm-dev,
  libimagequant-dev,
Build-Depends-Indep: python3-sphinx, python3-sphinx-rtd-theme,
Build-Conflicts: python-cffi
Standards-Version: 4.4.1
Homepage: http://python-pillow.github.io/
XS-Testsuite: autopkgtest

Package: python-pil
Architecture: any
Multi-Arch: same
Depends: ${python:Depends}, mime-support | python-pil.imagetk,
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python-olefile
Suggests: python-pil-doc, python-pil-dbg
Provides: ${python:Provides}, python-pillow
Breaks: python-imaging (<< 1.1.7+2.0.0-1.1),
  rapid-photo-downloader (<< 0.4.11), 
  tilestache (<< 1.49.8-3),
Replaces: python-imaging (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Pillow fork)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python-pil-dbg
Section: debug
Priority: optional
Architecture: any
Multi-Arch: same
Depends: python-pil (= ${binary:Version}), python2-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-dbg
Breaks: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pil.imagetk
Architecture: any
Multi-Arch: same
Depends: python-pil (= ${binary:Version}), python-tk (>= 2.7.7-2),
  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python-pil.imagetk-dbg
Provides: ${python:Provides}, python-imaging-tk
Breaks: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Pillow fork)
 Tk dependent python-pil module.

Package: python-pil.imagetk-dbg
Section: debug
Priority: optional
Architecture: any
Multi-Arch: same
Depends: python-pil.imagetk (= ${binary:Version}),
  python-pil-dbg (= ${binary:Version}),
  python2-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-tk-dbg
Breaks: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (debug extension)
 Tk dependent python-pil module.
 .
 This package contains the extension built for the Python debug interpreter.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS	:= $(shell pyversions -vr)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')

#PY3VERS	:= $(shell py3versions -vr)
#PY3VER   := $(shell python3 -c 'import sys; print(sys.version[:3])')

include /usr/share/python/python.mk

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

build-arch: BBB=bbb
build-indep: III=iii
build-arch: build
build-indep: build build-doc-stamp
build: build-stamp

build-doc-stamp: build
	echo XXXXXXXXXXXX BBB=$(BBB) / III=$(III)
	PYTHONPATH=$(CURDIR)/$(wildcard build/lib.*-$(PY3VER)) $(MAKE) -C docs html
	touch $@

build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%) $(PYVERS:%=check-stamp-python%) $(PY3VERS:%=check-stamp-python%)
	touch $@
build-stamp-python%:
	echo XXXXXXXXXXXX BBB=$(BBB) / III=$(III)
#	tar xvf debian/lcms-images.tar.gz
	$(SET_CROSS_ENV) python$* setup.py build

	$(SET_CROSS_ENV) python$*-dbg setup.py build
	touch $@

pillow_tests = $(wildcard Tests/test*.py)

check-stamp-python%:
ifeq (0,1)
ifeq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
	: # run the tests for the debug interpreter, but continue in case of error
	rm -rf tmp
	mkdir -p tmp
	ln -s ../Tests tmp/Tests
	ln -s ../build tmp/build
ifeq (0,1)
	@echo BEGIN python$*-dbg tests
	-cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
endif
	@echo BEGIN python$* tests
	-cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
endif
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp*
	rm -rf compile build
	rm -rf debian/PILcompat/build
	rm -rf Pillow*.egg-info
	find -name '*.py[co]' -exec rm -f {} \;
	find -type d -name __pycache__ | xargs -r rm -rf
#	rm -f $$(tar tf debian/lcms-images.tar.gz)
	rm -rf tmp
	rm -rf docs/_build
	dh_clean

get-doc:
	wget -r --no-parent --no-host-directories --cut-dirs=2 \
		http://www.pythonware.com/library/pil/handbook/index.htm

install: build install-prereq $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)

	dh_installdocs -ppython-pil README.rst

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in `find debian/python3-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

install-prereq:
	dh_testdir
	dh_testroot
	dh_prep

install-python%:
	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-pil \
		$(py_setup_install_args)
	mkdir -p debian/python-pil/usr/include/python$*
	install -o root -g root -m 644 \
		src/libImaging/Imaging.h \
		src/libImaging/ImagingUtils.h \
		src/libImaging/ImPlatform.h \
		src/libImaging/ImDib.h \
		debian/python-pil/usr/include/python$*

	dh_movefiles -ppython-pil.imagetk \
	    --sourcedir=debian/python-pil \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk.so \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-pil-dbg \
		$(py_setup_install_args)
	mkdir -p debian/python-pil-dbg/usr/include/python$*_d
	for i in Imaging.h ImagingUtils.h ImPlatform.h ImDib.h; do \
	  ln -sf ../python$*/$$i \
	    debian/python-pil-dbg/usr/include/python$*_d/$$i; \
	done

	find debian/python-pil*-dbg \
		! -type d ! \( -name '*_d.so' -o -name '*.h' \) | xargs rm -f
	find debian/python-pil*-dbg -depth -empty -exec rmdir {} \;

	dh_movefiles -ppython-pil.imagetk-dbg \
	    --sourcedir=debian/python-pil-dbg \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk_d.so

install3-python%:
	$(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-pil \
		$(py_setup_install_args)

	incdir=$$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil/$$incdir; \
	install -o root -g root -m 644 \
		src/libImaging/Imaging.h \
		src/libImaging/ImagingUtils.h \
		src/libImaging/ImPlatform.h \
		src/libImaging/ImDib.h \
		debian/python3-pil/$$incdir

	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
	then \
		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	else \
		abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
	fi; \
	echo $$abitag; \
	dh_movefiles -ppython3-pil.imagetk \
	    --sourcedir=debian/python3-pil \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-pil-dbg \
		$(py_setup_install_args)

	incname=$$(basename $$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))')); \
	incddir=$$(python$*-dbg -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil-dbg/$$incddir; \
	for i in Imaging.h ImagingUtils.h ImPlatform.h ImDib.h; do \
	  ln -sf ../$$incname/$$i \
	    debian/python3-pil-dbg/$$incddir/$$i; \
	done

	find debian/python3-pil*-dbg \
		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;

	if `python$* -c "import sys; sys.exit(sys.version_info < (3,5))"`; \
	then \
		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	else \
		abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
	fi; \
	dh_movefiles -ppython3-pil.imagetk-dbg \
	    --sourcedir=debian/python3-pil-dbg \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	echo XXXXXXXXXXXX BBB=$(BBB) / III=$(III)
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i CHANGES.rst
	dh_python2 -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	echo XXXXXXXXXXXX BBB=$(BBB) / III=$(III)
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a CHANGES.rst
	for p in \
	  python-pil python-pil.imagetk; \
	do \
	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	done
	dh_python2 -a
	dh_strip -ppython-pil --dbg-package=python-pil-dbg
	dh_strip -ppython-pil.imagetk --dbg-package=python-pil.imagetk-dbg
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
